OGRE: Ogre::PbsProperty Struct Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Static Public Attributes | List of all members
Ogre::PbsProperty Struct Reference
Component » Material

`#include <OgreHlmsPbs.h>`

## Static Public Attributes
static const IdString | AmbientFixed
static const IdString | AmbientHemisphere
static const IdString | AmbientSh
static const IdString | AmbientShMonochrome
static const IdString | BlendModeIndex0
static const IdString | BlendModeIndex1
static const IdString | BlendModeIndex2
static const IdString | BlendModeIndex3
static const IdString * | BlendModes [4]
static const IdString | BrdfBlinnPhong
static const IdString | BrdfCookTorrance
static const IdString | BrdfDefault
static const IdString | CubemapsAsDiffuseGi
static const IdString | CubemapsUseDpm
static const IdString | DebugPssmSplits
static const IdString | DetailMap0
static const IdString | DetailMap1
static const IdString | DetailMap2
static const IdString | DetailMap3
static const char * | DetailMapN
static const char * | DetailMapNmN
static const IdString | DetailMapsDiffuse
static const IdString | DetailMapsNormal
static const IdString * | DetailNormalWeights [4]
static const IdString | DetailOffsets0
static const IdString | DetailOffsets1
static const IdString | DetailOffsets2
static const IdString | DetailOffsets3
static const IdString * | DetailOffsetsPtrs [4]
static const char * | DetailWeightMap
static const IdString | DetailWeights
static const char * | DiffuseMap
static const IdString | DiffuseMapGrayscale
static const IdString | EmissiveAsLightmap
static const IdString | EmissiveConstant
static const char * | EmissiveMap
static const IdString | EnableCubemapsAuto
static const IdString | EnvMapScale
static const char * | EnvProbeMap
static const IdString | ExponentialShadowMaps
static const IdString | FirstValidDetailMapNm
static const IdString | FresnelScalar
static const IdString | FresnelSeparateDiffuse
static const IdString | FresnelWorkflow
static const IdString | GgxHeightCorrelated
static const IdString | HasPlanarReflections
static const IdString | HwGammaRead
static const IdString | HwGammaWrite
static const IdString | IrradianceField
static const IdString | IrradianceVolumes
static const IdString | LegacyMathBrdf
static const IdString | LightProfilesTexture
static const IdString | LowerGpuOverhead
static const IdString | LtcTextureAvailable
static const IdString | MaterialsPerBuffer
static const IdString | MetallicWorkflow
static const IdString | NeedsEnvBrdf
static const IdString | NeedsReflDir
static const IdString | NeedsViewDir
static const IdString | NormalBc3Unorm
static const IdString | NormalLa
static const IdString | NormalMap
static const char * | NormalMapTex
static const IdString | NormalRgSnorm
static const IdString | NormalRgUnorm
static const IdString | NormalSamplingFormat
static const IdString | NormalWeight
static const IdString | NormalWeightDetail0
static const IdString | NormalWeightDetail1
static const IdString | NormalWeightDetail2
static const IdString | NormalWeightDetail3
static const IdString | NormalWeightTex
static const IdString | NumSamplers
static const IdString | NumTextures
static const IdString | ObbRestraintApprox
static const IdString | ObbRestraintLtc
static const IdString | ParallaxCorrectCubemaps
static const IdString | Pcf
static const IdString | PcfIterations
static const IdString | PerceptualRoughness
static const IdString | ReceiveShadows
static const IdString | RoughnessIsShininess
static const char * | RoughnessMap
static const char * | SpecularMap
static const IdString | TargetEnvprobeMap
static const IdString | TransparentMode
static const IdString | TwoSidedLighting
static const IdString | UseEnvProbeMap
static const IdString | useLightBuffers
static const IdString | UseParallaxCorrectCubemaps
static const IdString | UsePlanarReflections
static const IdString | UseTextureAlpha
static const IdString | UvDetail0
static const IdString | UvDetail1
static const IdString | UvDetail2
static const IdString | UvDetail3
static const IdString | UvDetailNm0
static const IdString | UvDetailNm1
static const IdString | UvDetailNm2
static const IdString | UvDetailNm3
static const IdString | UvDetailWeight
static const IdString | UvDiffuse
static const IdString | UvEmissive
static const IdString | UvNormal
static const IdString | UvRoughness
static const IdString * | UvSourcePtrs [NUM_PBSM_SOURCES]
static const IdString | UvSpecular
static const IdString | VctAmbientSphere
static const IdString | VctAnisotropic
static const IdString | VctConeDirs
static const IdString | VctDisableDiffuse
static const IdString | VctDisableSpecular
static const IdString | VctEnableSpecularSdfQuality
static const IdString | VctNumProbes

## Member Data Documentation

## ◆ AmbientFixed

const IdString Ogre::PbsProperty::AmbientFixed
| static

## ◆ AmbientHemisphere

const IdString Ogre::PbsProperty::AmbientHemisphere
| static

## ◆ AmbientSh

const IdString Ogre::PbsProperty::AmbientSh
| static

## ◆ AmbientShMonochrome

const IdString Ogre::PbsProperty::AmbientShMonochrome
| static

## ◆ BlendModeIndex0

const IdString Ogre::PbsProperty::BlendModeIndex0
| static

## ◆ BlendModeIndex1

const IdString Ogre::PbsProperty::BlendModeIndex1
| static

## ◆ BlendModeIndex2

const IdString Ogre::PbsProperty::BlendModeIndex2
| static

## ◆ BlendModeIndex3

const IdString Ogre::PbsProperty::BlendModeIndex3
| static

## ◆ BlendModes

const IdString* Ogre::PbsProperty::BlendModes[4]
| static

## ◆ BrdfBlinnPhong

const IdString Ogre::PbsProperty::BrdfBlinnPhong
| static

## ◆ BrdfCookTorrance

const IdString Ogre::PbsProperty::BrdfCookTorrance
| static

## ◆ BrdfDefault

const IdString Ogre::PbsProperty::BrdfDefault
| static

## ◆ CubemapsAsDiffuseGi

const IdString Ogre::PbsProperty::CubemapsAsDiffuseGi
| static

## ◆ CubemapsUseDpm

const IdString Ogre::PbsProperty::CubemapsUseDpm
| static

## ◆ DebugPssmSplits

const IdString Ogre::PbsProperty::DebugPssmSplits
| static

## ◆ DetailMap0

const IdString Ogre::PbsProperty::DetailMap0
| static

## ◆ DetailMap1

const IdString Ogre::PbsProperty::DetailMap1
| static

## ◆ DetailMap2

const IdString Ogre::PbsProperty::DetailMap2
| static

## ◆ DetailMap3

const IdString Ogre::PbsProperty::DetailMap3
| static

## ◆ DetailMapN

const char* Ogre::PbsProperty::DetailMapN
| static

## ◆ DetailMapNmN

const char* Ogre::PbsProperty::DetailMapNmN
| static

## ◆ DetailMapsDiffuse

const IdString Ogre::PbsProperty::DetailMapsDiffuse
| static

## ◆ DetailMapsNormal

const IdString Ogre::PbsProperty::DetailMapsNormal
| static

## ◆ DetailNormalWeights

const IdString* Ogre::PbsProperty::DetailNormalWeights[4]
| static

## ◆ DetailOffsets0

const IdString Ogre::PbsProperty::DetailOffsets0
| static

## ◆ DetailOffsets1

const IdString Ogre::PbsProperty::DetailOffsets1
| static

## ◆ DetailOffsets2

const IdString Ogre::PbsProperty::DetailOffsets2
| static

## ◆ DetailOffsets3

const IdString Ogre::PbsProperty::DetailOffsets3
| static

## ◆ DetailOffsetsPtrs

const IdString* Ogre::PbsProperty::DetailOffsetsPtrs[4]
| static

## ◆ DetailWeightMap

const char* Ogre::PbsProperty::DetailWeightMap
| static

## ◆ DetailWeights

const IdString Ogre::PbsProperty::DetailWeights
| static

## ◆ DiffuseMap

const char* Ogre::PbsProperty::DiffuseMap
| static

## ◆ DiffuseMapGrayscale

const IdString Ogre::PbsProperty::DiffuseMapGrayscale
| static

## ◆ EmissiveAsLightmap

const IdString Ogre::PbsProperty::EmissiveAsLightmap
| static

## ◆ EmissiveConstant

const IdString Ogre::PbsProperty::EmissiveConstant
| static

## ◆ EmissiveMap

const char* Ogre::PbsProperty::EmissiveMap
| static

## ◆ EnableCubemapsAuto

const IdString Ogre::PbsProperty::EnableCubemapsAuto
| static

## ◆ EnvMapScale

const IdString Ogre::PbsProperty::EnvMapScale
| static

## ◆ EnvProbeMap

const char* Ogre::PbsProperty::EnvProbeMap
| static

## ◆ ExponentialShadowMaps

const IdString Ogre::PbsProperty::ExponentialShadowMaps
| static

## ◆ FirstValidDetailMapNm

const IdString Ogre::PbsProperty::FirstValidDetailMapNm
| static

## ◆ FresnelScalar

const IdString Ogre::PbsProperty::FresnelScalar
| static

## ◆ FresnelSeparateDiffuse

const IdString Ogre::PbsProperty::FresnelSeparateDiffuse
| static

## ◆ FresnelWorkflow

const IdString Ogre::PbsProperty::FresnelWorkflow
| static

## ◆ GgxHeightCorrelated

const IdString Ogre::PbsProperty::GgxHeightCorrelated
| static

## ◆ HasPlanarReflections

const IdString Ogre::PbsProperty::HasPlanarReflections
| static

## ◆ HwGammaRead

const IdString Ogre::PbsProperty::HwGammaRead
| static

## ◆ HwGammaWrite

const IdString Ogre::PbsProperty::HwGammaWrite
| static

## ◆ IrradianceField

const IdString Ogre::PbsProperty::IrradianceField
| static

## ◆ IrradianceVolumes

const IdString Ogre::PbsProperty::IrradianceVolumes
| static

## ◆ LegacyMathBrdf

const IdString Ogre::PbsProperty::LegacyMathBrdf
| static

## ◆ LightProfilesTexture

const IdString Ogre::PbsProperty::LightProfilesTexture
| static

## ◆ LowerGpuOverhead

const IdString Ogre::PbsProperty::LowerGpuOverhead
| static

## ◆ LtcTextureAvailable

const IdString Ogre::PbsProperty::LtcTextureAvailable
| static

## ◆ MaterialsPerBuffer

const IdString Ogre::PbsProperty::MaterialsPerBuffer
| static

## ◆ MetallicWorkflow

const IdString Ogre::PbsProperty::MetallicWorkflow
| static

## ◆ NeedsEnvBrdf

const IdString Ogre::PbsProperty::NeedsEnvBrdf
| static

## ◆ NeedsReflDir

const IdString Ogre::PbsProperty::NeedsReflDir
| static

## ◆ NeedsViewDir

const IdString Ogre::PbsProperty::NeedsViewDir
| static

## ◆ NormalBc3Unorm

const IdString Ogre::PbsProperty::NormalBc3Unorm
| static

## ◆ NormalLa

const IdString Ogre::PbsProperty::NormalLa
| static

## ◆ NormalMap

const IdString Ogre::PbsProperty::NormalMap
| static

## ◆ NormalMapTex

const char* Ogre::PbsProperty::NormalMapTex
| static

## ◆ NormalRgSnorm

const IdString Ogre::PbsProperty::NormalRgSnorm
| static

## ◆ NormalRgUnorm

const IdString Ogre::PbsProperty::NormalRgUnorm
| static

## ◆ NormalSamplingFormat

const IdString Ogre::PbsProperty::NormalSamplingFormat
| static

## ◆ NormalWeight

const IdString Ogre::PbsProperty::NormalWeight
| static

## ◆ NormalWeightDetail0

const IdString Ogre::PbsProperty::NormalWeightDetail0
| static

## ◆ NormalWeightDetail1

const IdString Ogre::PbsProperty::NormalWeightDetail1
| static

## ◆ NormalWeightDetail2

const IdString Ogre::PbsProperty::NormalWeightDetail2
| static

## ◆ NormalWeightDetail3

const IdString Ogre::PbsProperty::NormalWeightDetail3
| static

## ◆ NormalWeightTex

const IdString Ogre::PbsProperty::NormalWeightTex
| static

## ◆ NumSamplers

const IdString Ogre::PbsProperty::NumSamplers
| static

## ◆ NumTextures

const IdString Ogre::PbsProperty::NumTextures
| static

## ◆ ObbRestraintApprox

const IdString Ogre::PbsProperty::ObbRestraintApprox
| static

## ◆ ObbRestraintLtc

const IdString Ogre::PbsProperty::ObbRestraintLtc
| static

## ◆ ParallaxCorrectCubemaps

const IdString Ogre::PbsProperty::ParallaxCorrectCubemaps
| static

## ◆ Pcf

const IdString Ogre::PbsProperty::Pcf
| static

## ◆ PcfIterations

const IdString Ogre::PbsProperty::PcfIterations
| static

## ◆ PerceptualRoughness

const IdString Ogre::PbsProperty::PerceptualRoughness
| static

## ◆ ReceiveShadows

const IdString Ogre::PbsProperty::ReceiveShadows
| static

## ◆ RoughnessIsShininess

const IdString Ogre::PbsProperty::RoughnessIsShininess
| static

## ◆ RoughnessMap

const char* Ogre::PbsProperty::RoughnessMap
| static

## ◆ SpecularMap

const char* Ogre::PbsProperty::SpecularMap
| static

## ◆ TargetEnvprobeMap

const IdString Ogre::PbsProperty::TargetEnvprobeMap
| static

## ◆ TransparentMode

const IdString Ogre::PbsProperty::TransparentMode
| static

## ◆ TwoSidedLighting

const IdString Ogre::PbsProperty::TwoSidedLighting
| static

## ◆ UseEnvProbeMap

const IdString Ogre::PbsProperty::UseEnvProbeMap
| static

## ◆ useLightBuffers

const IdString Ogre::PbsProperty::useLightBuffers
| static

## ◆ UseParallaxCorrectCubemaps

const IdString Ogre::PbsProperty::UseParallaxCorrectCubemaps
| static

## ◆ UsePlanarReflections

const IdString Ogre::PbsProperty::UsePlanarReflections
| static

## ◆ UseTextureAlpha

const IdString Ogre::PbsProperty::UseTextureAlpha
| static

## ◆ UvDetail0

const IdString Ogre::PbsProperty::UvDetail0
| static

## ◆ UvDetail1

const IdString Ogre::PbsProperty::UvDetail1
| static

## ◆ UvDetail2

const IdString Ogre::PbsProperty::UvDetail2
| static

## ◆ UvDetail3

const IdString Ogre::PbsProperty::UvDetail3
| static

## ◆ UvDetailNm0

const IdString Ogre::PbsProperty::UvDetailNm0
| static

## ◆ UvDetailNm1

const IdString Ogre::PbsProperty::UvDetailNm1
| static

## ◆ UvDetailNm2

const IdString Ogre::PbsProperty::UvDetailNm2
| static

## ◆ UvDetailNm3

const IdString Ogre::PbsProperty::UvDetailNm3
| static

## ◆ UvDetailWeight

const IdString Ogre::PbsProperty::UvDetailWeight
| static

## ◆ UvDiffuse

const IdString Ogre::PbsProperty::UvDiffuse
| static

## ◆ UvEmissive

const IdString Ogre::PbsProperty::UvEmissive
| static

## ◆ UvNormal

const IdString Ogre::PbsProperty::UvNormal
| static

## ◆ UvRoughness

const IdString Ogre::PbsProperty::UvRoughness
| static

## ◆ UvSourcePtrs

const IdString* Ogre::PbsProperty::UvSourcePtrs[NUM_PBSM_SOURCES]
| static

## ◆ UvSpecular

const IdString Ogre::PbsProperty::UvSpecular
| static

## ◆ VctAmbientSphere

const IdString Ogre::PbsProperty::VctAmbientSphere
| static

## ◆ VctAnisotropic

const IdString Ogre::PbsProperty::VctAnisotropic
| static

## ◆ VctConeDirs

const IdString Ogre::PbsProperty::VctConeDirs
| static

## ◆ VctDisableDiffuse

const IdString Ogre::PbsProperty::VctDisableDiffuse
| static

## ◆ VctDisableSpecular

const IdString Ogre::PbsProperty::VctDisableSpecular
| static

## ◆ VctEnableSpecularSdfQuality

const IdString Ogre::PbsProperty::VctEnableSpecularSdfQuality
| static

## ◆ VctNumProbes

const IdString Ogre::PbsProperty::VctNumProbes
| static

The documentation for this struct was generated from the following file:

- OgreHlmsPbs.h